LArSoft - Bug #24903

Issue with Pandora and DetectorPropertyService in larsoft v09
09/02/2020 11:48 AM - Edward Tyley

Status: Closed Start date: 09/02/2020
Priority: Normal Due date:

Assignee: Kyle Knoepfel % Done: 100%
Category: Reconstruction Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Occurs In: v09_00_00 Co-Assignees:

Experiment: SBND

Description

When trying to process some files in SBND using larsoft vO9_00_01 | ran into the following warning from Pandora roughly 20% of the
time (It was a very annoying bug that required running the same larsoft command many times, sometimes | would get the warning
and other times not).

%$MSG-w LArPandora: StandardPandora:pandora@BeginModule 02-Sep-2020 11:26:24 CDT run: 1 subRun: O
event: 1

CreatePandoraHits2D - invalid calo hit parameter provided, all assigned values must be finite, cal
o hit omitted

SMSG

After doing some digging | found the culprit seems to be the detector property service here returning ridiculous values, O(e+246),
when called here:
https://github.com/LArSoft/larpandora/blob/ba769b5efce3bb0ab6faff692851bdc896950844/larpandora/LArPandoralnterface/LArPand
oralnput.cxx#L79-1L.80.

| have been able to reproduce this issue from the sbndcode ups products for both vO9_00_00 and v09_00_01 but could not do so
when using v08_62_01, so assume this is due to the changes to the detector properties service when moving to v09.

To reproduce, | ran this fcl: /sbnd/data/users/etyley/test/pandoraOnlyReco.fcl on this file:
/pnfs/sbnd/persistent/Continuousintegration/reference/standard/reco_basic/single_reco_basic_test_sbndcode_Reference.root. | also
reproduced the issue using standard_reco_sbnd_basic.fcl (The main reco fcl used in sbnd) on
/pnfs/sbnd/persistent/Continuousintegration/reference/standard/detsim/single_detsim_test_sbndcode_Reference.root but that took
longer to run for the same result.

Let me know if there is any more information that you need or any other help | can provide.

History

#1 - 09/02/2020 12:17 PM - Kyle Knoepfel
- Assignee set to Kyle Knoepfel

- Status changed from New to Assigned

#2 - 09/03/2020 08:33 AM - Kyle Knoepfel
- % Done changed from 0 to 50

By running valgrind over the job, some uninitialized variables were exposed. These are variables in the DetectorPropertiesStandard provider that
should have been initialized, but were unintentionally omitted during the migration to LArSoft v9. My apologies for this.

| will be submitting a bugfix shortly, in time for this week's release.

#3 - 09/03/2020 09:34 AM - Kyle Knoepfel
- % Done changed from 50 to 100

The following PR addresses the issue you found: https:/github.com/L ArSoft/lardataalg/pull/9

#4 - 09/14/2020 10:31 AM - Kyle Knoepfel

- Status changed from Assigned to Closed
https://github.com/LArSoft/larpandora/blob/ba769b5efce3bb0ab6faff692851bdc896950844/larpandora/LArPandoraInterface/LArPandoraInput.cxx#L79-L80
https://github.com/LArSoft/larpandora/blob/ba769b5efce3bb0ab6faff692851bdc896950844/larpandora/LArPandoraInterface/LArPandoraInput.cxx#L79-L80
https://github.com/LArSoft/lardataalg/pull/9

PR has been included in LArSoft v09_01_00.
